set(LLVM_TARGET_DEFINITIONS PimBufferization.td)
mlir_tablegen(PimBufferization.hpp.inc -gen-rewriters "-I${ONNX_MLIR_SRC_ROOT}")
add_public_tablegen_target(PimBufferizationIncGen)

add_pim_library(OMPimBufferization
  PimBufferizationPass.cpp
  OpBufferizationInterfaces.hpp
  OpBufferizationInterfaces.cpp
  Common.hpp
  Common.cpp

  EXCLUDE_FROM_OM_LIBS

  DEPENDS
  PimBufferizationIncGen

  LINK_LIBS PUBLIC
  OMPimCommon
  PimOps

  ACCEL_INCLUDE_DIRS PRIVATE
  ${PIM_GENERATED_INCLUDE_DIRS}
)
